#ifndef __TONE_H
#define __TONE_H

typedef void *AUDIOHANDLE;   // handle to audio

#define SAMPLE_SILENCE  (0.0f)   // quiet
int audioInit(AUDIOHANDLE *stream);  // iniitalize
void audioEnd(AUDIOHANDLE stream);   // terminate
int setAmplitude(float amp, int n);  // set volume for tone 0 or 1
int setFrequency(float freq, int n);  // set frequency 0 or 1
void audioDial(int i);  // accepts a digit 0-9 or character
#endif
