//
// C++ Implementation: myapp
//
// Description: 
//
//
// Author: Al Williams <alw@al-williams.com>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "wx/wx.h" 
#include "wx/event.h"
#include "wx/sizer.h"
extern "C" {
#include "tone.h"
}
 
#include "myapp.h"
#include "myframe.h"

 
BEGIN_EVENT_TABLE(MyFrame, wxFrame)
   EVT_MENU(ID_Quit, MyFrame::OnQuit)
   EVT_MENU(ID_About, MyFrame::OnAbout)
   EVT_MENU(ID_Tone, MyFrame::OnTone)
   EVT_COMMAND_RANGE(0,15,wxEVT_COMMAND_BUTTON_CLICKED,MyFrame::OnBtn)
   EVT_CHAR(MyFrame::OnChar)
END_EVENT_TABLE()
 
IMPLEMENT_APP(MyApp)

  int MyApp::OnExit()
{
  audioEnd(audio);
  return wxApp::OnExit();
}

bool MyApp::OnInit()
{
    if (audioInit(&audio)) 
      {
      printf("Audio init failed\n");
      return false;
      }
    // dialtone simulation
    MyFrame *frame = new MyFrame( "DTMF",wxDefaultPosition,wxDefaultSize);
				  //         wxPoint(50,50), wxSize(155,120));
    frame->Show(TRUE);
    SetTopWindow(frame);
    setFrequency(350.0,2);
    return TRUE;
}

